Name:           mate-menu
Version:        22.04.2
Release:        %mkrel 2
Summary:        Advanced Menu for the MATE Desktop
Group:          Graphical desktop/MATE
# mate_menu/keybinding.py use MIT license and the rest is under GPLv2+
License:        GPLv2+ and MIT
BuildArch:      noarch
Url:            https://github.com/ubuntu-mate/mate-menu
Source0:        https://github.com/ubuntu-mate/mate-menu/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        applications.list.in
Source3:        mageia-mintmenu.tar.xz

Patch1:         mate-menu-mga_mcc.patch
Patch2:         mate-menu-mga_searches.patch
Patch3:         mate-menu-mga_icons.patch

BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:  intltool
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-setuptools
BuildRequires:  desktop-file-utils
BuildRequires:  desktop-common-data

Requires:       mate-menus >= 1.16.0
Requires:       mozo
Requires:       python3-configobj
Requires:       python3-gobject3
Requires:       python3-pyxdg
Requires:       python3-unidecode
Requires:       python3-xlib
Requires:       mate-panel >= 1.16.0
Requires:       beesu
Requires:       python3-setproctitle
Requires:       desktop-common-data

Provides:       mintmenu

%description
An advanced menu for MATE. Supports filtering, favorites,
auto-session, and many other features.
This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.


%prep
%autosetup -p1

# xdg-su isn't available in mageia
sed -i 's/xdg-su/beesu/g' mate_menu/execute.py

# some python fixes
%py_shebang_fix lib/*.py

# Install our applications.list
rm -fr data/applications.list
install -m 644 -p %{_sourcedir}/applications.list.in data/applications.list

%build
%py3_build

# Mageia custom translation: Convert .mo files to .po templates again.
tar xvJf %{_sourcedir}/mageia-mintmenu.tar.xz
pushd po/
mint_langs="af ckb et  hy li nn  si  tlh am crh eu  ia lo nso sk  tpi an cs  fa  id lt oc  sl  tr ar csb fi  is lv om  sn  ts as cv  fil it mai or  so  ug ast cy  fo  ja mg pa  sq  uk da  fr  jv mhr pap sr  ur ban de  fr_CA ka mk pl sr@ijekavianlatin  dz kab ml ps  sr@latin be@latin  el  gaa kk pt  su  vi ber en_AU gd  km mr pt_BR sv  bg en_CA gl  kn pt_PT sw  xh bn en_GB gu  ko mus ro  ta  yi bn_IN en@shaw gv  ksw my ru  te  zh_CN br en_US he nb rue zh_HK bs eo  hi nds rw  zh_TW ca es  hr  la ne sco th  zu ca@valencia es_AR hu lb nl shn"
for i in $mint_langs; do
    if [ ! -f ../mageia-mintmenu/$i.po ]; then
        continue
    fi
    msgunfmt -o ../build/mo/$i/LC_MESSAGES/mate-menu.po ../build/mo/$i/LC_MESSAGES/mate-menu.mo
    msgcat ../build/mo/$i/LC_MESSAGES/mate-menu.po ../mageia-mintmenu/$i.po > ../build/mo/$i/LC_MESSAGES/$i.po
    rm -f ../build/mo/$i/LC_MESSAGES/mate-menu.*
    msgfmt -o ../build/mo/$i/LC_MESSAGES/mate-menu.mo ../build/mo/$i/LC_MESSAGES/$i.po
    rm -f ../build/mo/$i/LC_MESSAGES/$i.po
done
popd

%install
%py3_install

# symlink icons
ln -s %{_iconsdir}/hicolor/scalable/apps/mageia-menu.svg \
  %{buildroot}%{_datadir}/mate-menu/icons/mageia-menu.svg
ln -s %{_iconsdir}/hicolor/128x128/apps/mageia-menu.png \
  %{buildroot}%{_datadir}/mate-menu/icons/search_engines/mageia.png

# avoid rpmlint invalid-lc-messages-dir and incorrect-locale-subdir errors
rm -rf %{buildroot}%{_datadir}/locale/ber
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/es_419/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/nah/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/LC_MESSAGES/mate-menu.mo
rm -rf %{buildroot}%{_datadir}/locale/zh-Hans/

%find_lang %{name}

%files -f %{name}.lang
%doc README.md
%license COPYING
%{_bindir}/%{name}
%{_prefix}/lib/%{name}/
%{python3_sitelib}/mate_menu/
%{python3_sitelib}/*.egg-info/
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/org.mate.mate-menu*.gschema.xml
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man1/mate-menu.1*


%changelog
* Tue Jan 09 2024 papoteur <papoteur> 22.04.2-2.mga10
+ Revision: 2029110
- rebuild for python 3.12

* Sun Oct 23 2022 wally <wally> 22.04.2-1.mga9
+ Revision: 1898596
- new version 22.04.2
- replace gksu-polkit reqs with beesu

* Sat Mar 26 2022 umeabot <umeabot> 20.04.3-5.mga9
+ Revision: 1828637
- Mageia 9 Mass Rebuild

* Mon Feb 28 2022 tv <tv> 20.04.3-4.mga9
+ Revision: 1786776
- Rebuild for python-3.10

* Tue Aug 10 2021 wally <wally> 20.04.3-3.mga9
+ Revision: 1740996
- improve arch detection in madb search

* Mon Aug 09 2021 wally <wally> 20.04.3-2.mga9
+ Revision: 1740941
- fix mga search actions
- use 128px icon for search actions

* Mon Aug 09 2021 wally <wally> 20.04.3-1.mga9
+ Revision: 1740923
- new version 20.04.3
- symlink mageia icons from desktop-common-data pkg

* Sat Jun 26 2021 tmb <tmb> 19.04.0-4.mga9
+ Revision: 1733560
- rebuild for python 3.9

* Sat Jun 26 2021 wally <wally> 19.04.0-3.mga9
+ Revision: 1732795
- Rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 19.04.0-2.mga8
+ Revision: 1533516
- Mageia 8 Mass Rebuild

* Sun Sep 22 2019 daviddavid <daviddavid> 19.04.0-1.mga8
+ Revision: 1444583
- new version: 19.04.0
- port to Python 3

* Mon Dec 03 2018 kekepower <kekepower> 18.04.3-1.mga7
+ Revision: 1338051
- Update to version 18.04.3

* Thu Sep 20 2018 umeabot <umeabot> 18.04.2-2.mga7
+ Revision: 1279494
- Mageia 7 Mass Rebuild

* Wed Mar 21 2018 tarakbumba <tarakbumba> 18.04.2-1.mga7
+ Revision: 1211174
- Updated to 18.04.2 version

* Fri Mar 09 2018 tarakbumba <tarakbumba> 18.04.1-1.mga7
+ Revision: 1207882
- Updated to 18.04.1 version

* Mon Jan 15 2018 tarakbumba <tarakbumba> 17.10.8-2.mga7
+ Revision: 1193320
- Fix favorite applications list

* Sat Jan 06 2018 tarakbumba <tarakbumba> 17.10.8-1.mga7
+ Revision: 1190603
- Updated to 17.10.8 version

* Thu Feb 23 2017 tarakbumba <tarakbumba> 16.10.1-3.mga6
+ Revision: 1087457
- Fix Mageia Control Center translations in Preferences screen
- Add mageia logo as default menu icon

* Mon Jan 09 2017 tarakbumba <tarakbumba> 16.10.1-1.mga6
+ Revision: 1080770
- Obsolete mintmenu
- Adapt package to Mageia
- imported package mate-menu

